| LicenseSpring C++ SDK 7.32.0 Easily add Software Licensing to your application

Public Attributes | List of all members
LSProxySettings Struct Reference

`#include <LicenseSpring/C-interface/ExtendedOptions.h>`

## Public Attributes
void * | inner
void(* | setProxyUri )(struct LSProxySettings *self, const char *uri)
const char *(* | getProxyUri )(struct LSProxySettings *self)
void(* | setUser )(struct LSProxySettings *self, const char *user)
const char *(* | getUser )(struct LSProxySettings *self)
void(* | setPassword )(struct LSProxySettings *self, const char *password)
const char *(* | getPassword )(struct LSProxySettings *self)
bool(* | isValid )(struct LSProxySettings *self)

## Detailed Description

Definition at line 14 of file ExtendedOptions.h.

## Member Data Documentation

## ◆ inner

void* LSProxySettings::inner

Definition at line 16 of file ExtendedOptions.h.

## ◆ setProxyUri

void( * LSProxySettings::setProxyUri) (struct LSProxySettings *self, const char *uri)

Definition at line 18 of file ExtendedOptions.h.

## ◆ getProxyUri

const char*( * LSProxySettings::getProxyUri) (struct LSProxySettings *self)

Definition at line 20 of file ExtendedOptions.h.

## ◆ setUser

void( * LSProxySettings::setUser) (struct LSProxySettings *self, const char *user)

Definition at line 22 of file ExtendedOptions.h.

## ◆ getUser

const char*( * LSProxySettings::getUser) (struct LSProxySettings *self)

Definition at line 24 of file ExtendedOptions.h.

## ◆ setPassword

void( * LSProxySettings::setPassword) (struct LSProxySettings *self, const char *password)

Definition at line 26 of file ExtendedOptions.h.

## ◆ getPassword

const char*( * LSProxySettings::getPassword) (struct LSProxySettings *self)

Definition at line 28 of file ExtendedOptions.h.

## ◆ isValid

bool( * LSProxySettings::isValid) (struct LSProxySettings *self)

Definition at line 30 of file ExtendedOptions.h.

The documentation for this struct was generated from the following file:

- LicenseSpring/C-interface/ExtendedOptions.h